[arch-commits] Commit in allegro/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Ionut Biru ibiru at archlinux.org
Mon Jan 18 10:07:33 EST 2010


    Date: Monday, January 18, 2010 @ 10:07:32
  Author: ibiru
Revision: 63778

Merged revisions 63776 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/allegro/trunk

........
  r63776 | ibiru | 2010-01-18 17:05:39 +0200 (Mon, 18 Jan 2010) | 2 lines
  
  upgpkg: allegro 4.4.0.1-1
      update to 4.4.0.1
........

Modified:
  allegro/repos/extra-x86_64/	(properties)
  allegro/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)


Property changes on: allegro/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /allegro/trunk:1-58398
   + /allegro/trunk:1-63777

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-18 15:06:23 UTC (rev 63777)
+++ extra-x86_64/PKGBUILD	2010-01-18 15:07:32 UTC (rev 63778)
@@ -1,31 +1,35 @@
 # $Id$
-# Maintainer: 
+# Maintainer: Ionut Biru <ionut at archlinux.ro>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 # Contributor: arjan <arjan at archlinux.org>
 
 pkgname=allegro
-pkgver=4.2.3.1
+pkgver=4.4.0.1
 pkgrel=1
 pkgdesc="Portable library mainly aimed at video game and multimedia programming"
 arch=('i686' 'x86_64')
 url="http://alleg.sourceforge.net/"
 license=('custom')
 depends=('jack-audio-connection-kit' 'libxpm' 'libxxf86vm' 'libxxf86dga' 'libxcursor')
+makedepends=('cmake')
 options=('!makeflags')
 source=(http://downloads.sourceforge.net/alleg/${pkgname}-${pkgver}.tar.gz
         LICENSE)
-md5sums=('92b0af3cccc5f3b4c3c1aad69a32baa9'
+md5sums=('07a06e34a267363970aad4b465365675'
          'cd97e2992e8e66b9e6a449d832dc9c7a')
 
 build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-  ./configure --prefix=/usr \
-      --enable-artsdigi=no \
-      --enable-esddigi=no \
-      --disable-mmx \
-      --disable-sse || return 1
+  cd "${srcdir}"
+  mkdir build && cd build
+
+  cmake "../${pkgname}-${pkgver}" \
+  	-DCMAKE_BUILD_TYPE=Release \
+  	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DWANT_DOCS=OFF || return 1
+
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
+
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list